Page MenuHomePhabricator

[clang][cli] Port HeaderSearch simple string options to new option parsing system
ClosedPublic

Authored by jansvoboda11 on Jul 27 2020, 9:54 AM.

Diff Detail

Event Timeline

dang created this revision.Jul 27 2020, 9:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2020, 9:54 AM
jansvoboda11 commandeered this revision.Dec 16 2020, 4:22 AM
jansvoboda11 added a reviewer: dang.
jansvoboda11 added a reviewer: dexonsmith.
jansvoboda11 added a subscriber: jansvoboda11.

Taking over this patch, as Daniel is no longer involved.

jansvoboda11 retitled this revision from Port HeaderSearch simple string options to new option parsing system to [clang][cli] Port HeaderSearch simple string options to new option parsing system.Dec 16 2020, 4:22 AM

Rebase, undo unnecessary move of options

Bigcheese accepted this revision.Dec 17 2020, 9:15 AM

lgtm with nit.

clang/include/clang/Driver/Options.td
1815

Missing a space.

This revision is now accepted and ready to land.Dec 17 2020, 9:15 AM
This revision was landed with ongoing or failed builds.Dec 18 2020, 12:30 AM
This revision was automatically updated to reflect the committed changes.

Committing with whitespace fix and with std::string constructors removed.